### Method

# Gtk SingleSelection set_selected

#### Declaration [src]

    void
    gtk_single_selection_set_selected (
      GtkSingleSelection* self,
      guint position
    )

#### Description [src]

Selects the item at the given position.

If the list does not have an item at `position` or `GTK_INVALID_LIST_POSITION` is given, the behavior depends on the value of the `GtkSingleSelection:autoselect` property: If it is set, no change will occur and the old item will stay selected. If it is unset, the selection will be unset and no item will be selected.

Sets property | `Gtk.SingleSelection:selected`

#### Parameters

`position`

  Type: `guint`

  The item to select or `GTK_INVALID_LIST_POSITION`.